set(ITKLevelSetsv4Visualization_LOADED 1)
set(ITKLevelSetsv4Visualization_ENABLE_SHARED "0")
set(ITKLevelSetsv4Visualization_DEPENDS "ITKLevelSetsv4;ITKVtkGlue")
set(ITKLevelSetsv4Visualization_PUBLIC_DEPENDS "ITKLevelSetsv4;ITKVtkGlue")
set(ITKLevelSetsv4Visualization_TRANSITIVE_DEPENDS "ITKLevelSetsv4;ITKVtkGlue")
set(ITKLevelSetsv4Visualization_PRIVATE_DEPENDS "")
set(ITKLevelSetsv4Visualization_LIBRARIES "vtkRenderingAnnotation;vtkCommonCore;vtksys;vtkCommonDataModel;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonExecutionModel;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersSources;vtkImagingColor;vtkImagingCore;vtkRenderingCore;vtkCommonColor;vtkFiltersGeometry;vtkRenderingFreeType;vtkfreetype;/usr/local/opt/zlib/lib/libz.dylib;vtkRenderingOpenGL2;vtkglew;vtkInteractionStyle;vtkFiltersExtraction;vtkFiltersStatistics;vtkImagingFourier;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/local/opt/jpeg-turbo/lib/libjpeg.dylib;/usr/local/lib/libpng.dylib;/usr/local/lib/libtiff.dylib;vtkImagingSources;ITKVtkGlue")
set(ITKLevelSetsv4Visualization_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/ITK-4.13;/usr/local/Cellar/osgeo-vtk/8.2.0_2/include/vtk-8.2;/usr/local/opt/zlib/include;/usr/local/opt/jpeg-turbo/include;/usr/local/include")
set(ITKLevelSetsv4Visualization_LIBRARY_DIRS "")
set(ITKLevelSetsv4Visualization_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib")
set(ITKLevelSetsv4Visualization_TARGETS_FILE "")
set(ITKLevelSetsv4Visualization_FACTORY_NAMES "")

set(VTK_DIR "/usr/local/lib/cmake/vtk-8.2")

find_package(VTK NO_MODULE REQUIRED COMPONENTS vtkCommonCore)

if(NOT VTK_VERSION)
  set(VTK_VERSION "8.2.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
if(TARGET vtkRenderingFreeTypeOpenGL2)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL2)
endif()

if( 8.2.0 VERSION_LESS 6.0.0 )
  set(ITKLevelSetsv4Visualization_VTK_INCLUDE_DIRS /usr/local/Cellar/osgeo-vtk/8.2.0_2/include/vtk-8.2)
  set(ITKLevelSetsv4Visualization_VTK_LIBRARIES vtkCommonCore;vtksys)
else()
  vtk_module_config(ITKLevelSetsv4Visualization_VTK
    vtkRenderingAnnotation
    vtkRenderingOpenGL2
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
   )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKLevelSetsv4Visualization_VTK_DEFINITIONS})
endif()

